Login
RT # 67159: perl 5.12 package NAME VERSION not understood
authorTom Wyant <harryfmudd@comcast.net>
Fri, 1 Apr 2011 22:24:20 +0000 (22:24 +0000)
committerTom Wyant <harryfmudd@comcast.net>
Fri, 1 Apr 2011 22:24:20 +0000 (22:24 +0000)
commit00f22ad4009d4097c58f9ea28c327d21ed648bc6
tree5635894fb2f34b9c088ec4e6f31a890b886b1080
parente6b31f5783a5f8e909a54504f15e213d546fc05f
RT # 67159: perl 5.12 package NAME VERSION not understood

P::C::P::Modules::RequireVersionVar now recognizes a version passed as
the second argument of a package statement.

P::C::P::ValuesAndExpressions::ProhibitMagicNumbers now allows any
number when passed as the second argument of a package statement. This
is consistent (I believe) with its handling of numbers assigned to
$VERSION.

Tests for this have been added to the relevant .run files, and (glory
be!) the Changes file has been updated.
Changes
lib/Perl/Critic/Policy/Modules/RequireVersionVar.pm
lib/Perl/Critic/Policy/ValuesAndExpressions/ProhibitMagicNumbers.pm
t/Modules/RequireVersionVar.run
t/ValuesAndExpressions/ProhibitMagicNumbers.run